Name:           salpack
Version:	1.6.36
Release:        1%{?dist}
Summary:        SAL's default settings
BuildArch:	noarch

Group:          System Environment/Base
License:        GPLv2+
Source:		salpack.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
Requires:       crontabs, util-linux, ntp, ethtool
#Requires:	yum-cron
Obsoletes:	yum-cron
Requires:	yum-utils
Requires:	rsync, mc, joe, screen, bc, file, tar, gzip, bzip2
Requires:	tmpwatch, logrotate, acpid, net-tools
Requires:	bash-completion, pv, sysstat
%if 0%{?fedora} >= 14
Requires:	man-db
%else
Requires:	man
%endif
%if 0%{?fedora} >= 18
# strip required by dracut
Requires:	binutils
%endif
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 18
Requires:	iptables, iptables-services
%endif

%description
SAL's default system settings.


%package mysql
Summary:        salpack mysql package
Group:          Applications/Databases
Provides: %{name}-mysql-or-mariadb = %{version}-%{release}
Requires: %{name}, mysql-server
Requires: MySQL-python

%description mysql
SAL's default MySQL packages.


%package mariadb
Summary:        salpack mariadb package
Group:          Applications/Databases
Provides: %{name}-mysql-or-mariadb = %{version}-%{release}
Requires: %{name}
%if 0%{?rhel} == 6
Requires: mariadb55
#Requires: mariadb55-mariadb-server
%else
Requires: mariadb-server
%endif
Requires: MySQL-python

%description mariadb
SAL's default MariaDB packages.


%package postgres
Summary:        salpack postgresql package
Group:          Applications/Databases
Provides:	%{name}-pgsql = %{version}-%{release}
Requires: %{name}, %{name}-nrpe, postgresql-server
Requires: php-pgsql

%description postgres
SAL's default PostgreSQL packages.


%package mail
Summary:        SAGATOR's mail packages
Group:          System Environment/Base
Requires: %{name}, %{name}-mysql-or-mariadb
Requires: postfix, dovecot, mutt, mlocate
Requires: cyrus-sasl-md5, cyrus-sasl-plain
%if 0%{?rhel} >= 6 || 0%{?fedora} >= 16
Requires: postfix-perl-scripts
%endif
# SAGATOR
Requires: sagator, clamav-lib, clamav-update, unarj, arc
Requires: spamassassin, perl-Razor-Agent, pyzor
Requires: rrdtool-python
#Requires: sagator-release
Requires: logwatch

%description mail
SAL's default mail packages.


%package web
Summary:        SAL's web packages
Group:          System Environment/Base
Provides:       %{name}-www = %{version}-%{release}
Requires: %{name}, %{name}-mysql-or-mariadb
Requires: httpd, mod_ssl
Requires: php, php-mbstring, php-mysql, php-pear, php-gd, php-mcrypt
Requires: php-xml, php-soap
Requires: mlocate
#Requires: phpMyAdmin
# required for logwatch
Requires: postfix
# required for httop.py
Requires: pcapy
Requires: logwatch

%description web
SAL's default web packages.


%package stats
Summary:        SAL's stats packages (nagios)
Group:          System Environment/Base
Requires: %{name}
Requires: httpd, mod_ssl, postfix, telnet, mrtg, rrdtool, mailx
Requires: nagios
Requires: nagios-plugins nagios-plugins-icmp nagios-plugins-dns
Requires: nagios-plugins-users nagios-plugins-udp nagios-plugins-swap
Requires: nagios-plugins-ping nagios-plugins-dhcp nagios-plugins-dummy
Requires: nagios-plugins-load nagios-plugins-nagios nagios-plugins-smtp
Requires: nagios-plugins-procs nagios-plugins-http nagios-plugins-disk
Requires: nagios-plugins-mysql nagios-plugins-tcp nagios-plugins-ssh
Requires: nagios-plugins-nrpe
Requires: nagios-plugins-check_sip
Requires: nagios-plugins-ifoperstatus nagios-plugins-ifstatus
Requires: pnp4nagios

%description stats
SAL's stats packages. Including:
  nagios
  pnp4natios
  mrtg
  rrdtool


%package nrpe
Summary:	Nagios NRPE daemon and required plugins
Group:		System Environment/Base
Requires: bind-utils
Requires: nrpe nagios-plugins-users nagios-plugins-load
Requires: nagios-plugins-disk nagios-plugins-procs
Requires: nagios-plugins-mailq nagios-plugins-swap

%description nrpe
Nagios NRPE daemon and required plugins.


%package kvm
Summary:	KVM virtualization (host)
Group:		System Environment/Base
Provides: %{name}-virt = %{version}-%{release}
Provides: %{name}-host = %{version}-%{release}
Requires: %{name}
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 18
Requires: qemu-system-x86
%endif
# qemu-kvm required to define access modes for kvm module
Requires: qemu-kvm
Requires: qemu-kvm-tools, libvirt, virt-install
Requires: bridge-utils
Requires: postfix, mlocate, dstat, iotop, telnet
Requires: wireshark
Requires: ngrep
Requires: virt-top

%description kvm
KVM virtualization server for virtual host system.

%package vm
Summary:	Virtual machine (guest)
Group:		System Environment/Base
Provides: %{name}-guest = %{version}-%{release}
Requires: %{name}
Requires: acpid

%description vm
Virtualization for virtual machines: guests.


%package turbogears
Summary:	SAL's TurboGears2 dependencies
Group:		Development/Libraries
Provides:	%{name}-TurboGears-%{version}-%{release}
Provides:	%{name}-TurboGears2-%{version}-%{release}
Provides:	%{name}-turbogears2-%{version}-%{release}
Requires:	%{name}-mysql-or-mariadb
Requires:       TurboGears2, python-tg-devtools, python-mako, python-netaddr
Requires:       python-repoze-tm2, python-repoze-who, python-repoze-what
Requires:       python-TurboMail
Requires:       python-tgext-admin, python-tw-jquery
%if 0%{?rhel}
Requires:       python-sqlalchemy0.5
%else
Requires:       python-sqlalchemy >= 0.6
Requires:       cracklib-python
%endif
Requires:	python-flup
Requires:	pytz


%description turbogears
SAL's TurboGears2 dependencies.


%package ipxe
Summary:	iPXE boot kernel
Group:		System Environment/Base

%description ipxe
iPXE boot kernel

GRUB2 config (/etc/grub.d/40_custom):
menuentry 'PXE boot' --class os {
        insmod part_msdos
        insmod ext2
        set root='(hd0,msdos1)'
        linux16 /boot/ipxe.lkrn
}


%prep
%setup -q -n mypack


%build
if [ %{dist} = ".fc6" ]; then
  echo -e ',s/-fX$/-fcX/\nw\nq' | ed etc/yum.repos.d/upjs.repo
else
  echo "New fedora detected: %{dist}"
fi
if [ %{dist} = ".el5" -o %{dist} = ".el6" ]; then
  sed -i 's/^\(mirrorlist=.*salstar\)/\1-centos/' etc/yum.repos.d/salstar.repo
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -arf boot etc var usr $RPM_BUILD_ROOT
# 32/64 bit?
if [ -d /usr/lib64 ]; then
  mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/lib64
  for i in $RPM_BUILD_ROOT/etc/nrpe.d/*; do
    sed -i 's|/usr/lib/nagios/plugins/|/usr/lib64/nagios/plugins/|g' $i
  done
fi
%if 0%{?rhel}
rm -f $RPM_BUILD_ROOT/etc/yum.repos.d/upjs.repo
%endif
# update action_url for pnp4nagios-0.6 compatibility
%if 0%{?rhel} >= 6 || 0%{?fedora} >= 17
  sed 's|/nagios/pnp4nagios/index.php|/pnp4nagios/graph|g' \
    $RPM_BUILD_ROOT/etc/nagios/templates/extinfo
%endif
# rename all .py files in bin and sbin
rename .py '' $RPM_BUILD_ROOT%{_bindir}/*.py
rename .py '' $RPM_BUILD_ROOT%{_sbindir}/*.py
rm -f $RPM_BUILD_ROOT%{_bindir}/*.py[co] $RPM_BUILD_ROOT%{_sbindir}/*.py[co]

%clean
rm -rf $RPM_BUILD_ROOT


#%post
#if [ -x /bin/chcon ]; then
#  /bin/chcon --ref /usr/bin/yum /usr/sbin/yum-autoupdate
#fi

# do not remove /etc/sysconfig/iptables
%posttrans
if [ -f /etc/sysconfig/iptables.rpmsave ]; then
  if [ ! -f /etc/sysconfig/iptables ]; then
    cp -a /etc/sysconfig/iptables.rpmsave /etc/sysconfig/iptables
  fi
fi

%post kvm
if [ $1 = 1 ]; then # install
  /sbin/chkconfig --add virt-shutdown
  /sbin/service virt-shutdown start
fi

#%post vm
# disable text-mode screensaver for virtual machines
#if grep -q "QEMU Virtual CPU" /proc/cpuinfo; then
#  /sbin/chkconfig --add disable-screensaver >/dev/null 2>/dev/null
#  /sbin/service disable-screensaver start >/dev/null 2>/dev/null
#fi || true

#%if %{_lib} == "lib64"
#%post nrpe
## temporary: rename lib to lib64 for 64bit systems
#for i in /etc/nrpe.d/*; do
#  sed -i 's|/usr/lib/nagios/plugins/|/usr/lib64/nagios/plugins/|g' $i
#done
#%endif

%triggerin nrpe -- cciss_vol_status
chgrp nrpe /usr/bin/cciss_vol_status
chmod 4710 /usr/bin/cciss_vol_status

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}/*
%config %{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 16
%config(noreplace) %{_sysconfdir}/sysctl.d/salpack-sysrq.conf
%else
%exclude %{_sysconfdir}/sysctl.d
%endif
%config %{_sysconfdir}/sysconfig/iptables.default
%dir %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/mrtg/*
%{_var}/www/mrtg/example.html
%exclude %{_sysconfdir}/httpd
%exclude %{_sysconfdir}/nagios
%{_datadir}/logwatch/dist.conf/services/latest-kernel.conf
%{_datadir}/logwatch/scripts/services/latest-kernel
%{_sbindir}/salpack-functions
%{_sbindir}/salpack-configure-all
%{_sbindir}/salpack-static-network
%{_sbindir}/salpack-configure-firewall
%{_sbindir}/salpack-configure-console
%{_sbindir}/salpack-rebuild-md
%{_sbindir}/salpack-sync
%{_sbindir}/salpack-raid-speed
%{_sbindir}/salpack-migrate-users
%{_sbindir}/salpack-grub2-fix
%{_sbindir}/salpack-scsi-rescan
# autoupdate
%config(noreplace) %{_sysconfdir}/yum/autoupdate.conf
%{_sysconfdir}/cron.daily/0yum-autoupdate.cron
%{_sbindir}/yum-autoupdate
# ssrv
%{_sysconfdir}/bash_completion.d/ssrv.sh
%{_sbindir}/ssrv

%files mail
%defattr(-,root,root,-)
%{_sbindir}/salpack-delq
%{_sbindir}/salpack-shield

%files mysql
%defattr(-,root,root,-)
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 16
%config(noreplace) %{_sysconfdir}/systemd/system/mysqld.service
%else
%exclude %{_sysconfdir}/systemd/system/mysqld.service
%endif
%{_sbindir}/salpack-configure-mysql

%files mariadb
%defattr(-,root,root,-)
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 16
%config(noreplace) %{_sysconfdir}/systemd/system/mysqld.service
%else
%exclude %{_sysconfdir}/systemd/system/mysqld.service
%endif
%{_sbindir}/salpack-configure-mysql

%files postgres
%defattr(-,root,root,-)
%{_libdir}/nagios/plugins/check_pgrepl

%files web
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/http.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/virtualhost
%config(noreplace) %{_sysconfdir}/httpd/split-logfile.py
%exclude %{_sysconfdir}/httpd/split-logfile.py[co]
%dir %{_var}/log/apache/_
%{_bindir}/restricted-rsync
%{_sbindir}/httop
%{_sbindir}/salpack-httpd-kill
%{_bindir}/squidtop
#%if 0%{?rhel} == 5
#%exclude %{_sbindir}/*.py[co]
#%exclude %{_bindir}/*.py[co]
#%endif

%files stats
%defattr(-,root,root,-)
%{_sysconfdir}/nagios/restart
%dir %{_sysconfdir}/nagios/templates
%{_sysconfdir}/nagios/templates/ngreconfig.py
%config %{_sysconfdir}/nagios/templates/dns
%config %{_sysconfdir}/nagios/templates/global
%config %{_sysconfdir}/nagios/templates/check_nt
%config %{_sysconfdir}/nagios/templates/extinfo
%config(noreplace) %{_sysconfdir}/nagios/extinfo
%config(noreplace) %{_sysconfdir}/nagios/main
%dir %{_sysconfdir}/nagios/salpack
%config(noreplace) %{_sysconfdir}/nagios/salpack/*.cfg
%{_libdir}/nagios/plugins/check_ldap_upjs
%{_libdir}/nagios/plugins/check_mysql_perf
%{_libdir}/nagios/plugins/check_apcupsd
%{_libdir}/nagios/plugins/check_httpd
%{_libdir}/nagios/plugins/check_apache
%{_libdir}/nagios/plugins/check_lighttpd
%{_libdir}/nagios/plugins/check_storwize
%{_libdir}/nagios/plugins/check_papouch
%{_bindir}/salpack-diskio-rrd
%if 0%{?rhel} >= 6 || 0%{?fedora} >= 18
%exclude %{_sysconfdir}/pnp4nagios/check_commands/check_nrpe.cfg
%endif
%config %{_sysconfdir}/pnp4nagios/check_commands/check_*.cfg
%{_datadir}/nagios/html/pnp4nagios/templates/*.php
%dir %attr(-, nagios, nagios) %{_var}/log/nagios/httpd-status

%files nrpe
%defattr(0755,root,root,-)
%config(noreplace) %{_sysconfdir}/nrpe.d/*.cfg
%{_bindir}/sslwatch
%{_libdir}/nagios/plugins/check_recv_mail
%{_libdir}/nagios/plugins/check_procs_perf
%{_libdir}/nagios/plugins/check_eth
%{_libdir}/nagios/plugins/check_mem
%exclude %{_libdir}/nagios/plugins/check_eth.py*
%{_libdir}/nagios/plugins/check_quota
%{_libdir}/nagios/plugins/check_sync
%{_libdir}/nagios/plugins/check_cciss
%{_libdir}/nagios/plugins/check_aacraid
%{_libdir}/nagios/plugins/check_diskio
%{_libdir}/nagios/plugins/check_backuppc
%{_libdir}/nagios/plugins/check_usbtemp
%{_sbindir}/salpack-configure-nrpe

%files kvm
%defattr(0755,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/virt-backup
%{_sysconfdir}/bash_completion.d/vs.sh
%{_sbindir}/virt-backup
%{_sbindir}/salpack-autorestart-guests
%{_sbindir}/salpack-virsh
%{_sbindir}/salpack-vlan-network
%{_sbindir}/virsh-*
%{_sbindir}/vs
%{_sysconfdir}/rc.d/init.d/virt-shutdown
%config(noreplace) %{_sysconfdir}/sysconfig/virt-shutdown

%files vm
%defattr(0755,root,root,-)
#%{_sysconfdir}/rc.d/init.d/disable-screensaver
%{_sbindir}/salpack-configure-console

%files turbogears
%defattr(0755,root,root,-)

%files ipxe
%defattr(0755,root,root,-)
/boot/ipxe.lkrn

%changelog
* Wed Feb 6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - __UPDATED_LATER__-1
- this changelog is not updated
